Subject: bug#78666: 31.0.50; recentf-open-files reports opening the last file accessed

From: Stephen Berman <[email-masked]>
Date: Tue, 17 Jun 2025 09:51:03 +0200

On Wed, 4 Jun 2025 09:43:46 -0500 Rick <[email-masked]> wrote:

>> I took a closer look at recentf.el and found that the messages (which
>> come from the :help-echo property in `recentf-open-files-item') are
>> displayed only on invoking `recentf-open-files' and on tabbing between
>> items in the *Open Recent* buffer; invoking `recentf-edit-list' or
>> tabbing between check boxes in that list does not display such a message
>> (so my assertion above was wrong in referring to check boxes).  So you
>> don't need to change `recentf-edit-list'.  (And in fact, it isn't
>> necessary to change `recentf-open-files' either, see the attached
>> patch.)
>>
>> Also, your change only affects displaying the message on creating the
>> open file dialog; further messages are still displayed when tabbing
>> between items in that buffer.  In your second post you said you saw
>> several messages, also repeated ones.  AFAICT all messages but the first
>> can only result from tabbing between items; if this is not what you see,
>> please give a precise recipe detailing what you find problematic.
>>
>> If you do also want to suppress the messages on tabbing between items,
>> then I think more extensive changes are needed.  For one thing, since
>> displaying the messages has long been the status quo, suppressing them
>> should be optional (though I agree with you that displaying the message
>> on creating the *Open Recent* buffer seems like a bug).  Moreover, since
>> tabbing invokes the commands `widget-forward' and `widget-backward'
>> (which in turn invoke `widget-move'), these need to be changed as well.
>> The attached patch implements these changes.
>>
>> Steve Berman
>
> Nice bonus.  Thanks

Since my patch goes beyond a minimal fix for the problem reported, I
think it's appropriate that at least one of the Emacs maintainers should
approve it or explain why it should not be installed.  So this is a
request for maintainer feedback.  Thanks.

Steve Berman